summaryrefslogtreecommitdiff
path: root/scripts/sTouchpad
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/sTouchpad')
-rwxr-xr-xscripts/sTouchpad15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/sTouchpad b/scripts/sTouchpad
new file mode 100755
index 0000000..87c0000
--- /dev/null
+++ b/scripts/sTouchpad
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Wrapper script for activating and deactivating touchpad
+
+[ -d ~/.cache ] || { mkdir ~/.cache || { echo "Couldn't create ~/.cache " && exit 2; };}
+
+file=~/.cache/touchpad_on
+
+if [ -f $file ];then
+ rm $file
+ xinput disable "$(xinput list --name-only | grep Touchpad)" && nsend Touchpad Disabled
+else
+ touch $file
+ xinput enable "$(xinput list --name-only | grep Touchpad)" && nsend Touchpad Enabled
+fi